Subject: Re: [PATCH net] net: cadence: macb: Synchronize stats calculations

From: Sean Anderson <[email-masked]>
Date: Thu, 20 Feb 2025 15:02:23 -0500

On 2/20/25 14:48, Andrew Lunn wrote:
>> Yeah, looks like I missed this. Although I tested on a kernel with
>> lockdep enabled, and I thought that was supposed to catch this sort of
>> thing. Will send a v2.
> 
> It might be you need the sleep in atomic option, not lockdep. Better
> still, just enable them all :-)
> 
> 	Andrew

I think the issue was that the lock is only taken in an error path and I
didn't trigger it during my testing. So lockdep never saw that this lock
could be taken in an interrupt.

--Sean